<?php

namespace Drupal\layout_builder_enhancements;

use Drupal\views\ViewExecutable;

/**
 * Interface ViewsServiceInterface.
 */
interface ViewsServiceInterface {
  public function getView($view_id, $display_id, $cache_id) : ViewExecutable;
  public function setOffset($view_id, $display_id, $cache_id, $offset) : void;
  public function getOffset($view_id, $display_id, $cache_id) : int;
}
